## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.privilege
Class ProceduralObjectPrivilegePage

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
                      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
                          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.pages.privilege.ProceduralObjectPrivilegePage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, IDisablementPart, ISchemaObjectEditorPage, org.eclipse.help.IContextProvider, org.eclipse.ui.forms.editor.IFormPage, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

Direct Known Subclasses:
  ASARoutinePrivilegePage

    public abstract class ProceduralObjectPrivilegePage

extends SchemaObjectEditorPage
implements ISchemaObjectEditorPage

Author:
  Hui Cao

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
`SchemaObjectEditorPage.PageForm`

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`UNKNOWN_ITEM_TYPE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`ProceduralObjectPrivilegePage()`
`ProceduralObjectPrivilegePage(org.eclipse.ui.forms.editor.FormEditor editor, java.lang.String id, java.lang.String title)`
`ProceduralObjectPrivilegePage(java.lang.String id, java.lang.String title)`

Method Summary
`void` `init(org.eclipse.ui.IEditorSite site, org.eclipse.ui.IEditorInput input)` Initializes the form page.
`boolean` `isDirty()` Implemented by testing if the managed form is dirty.
`void` `refresh()` Refreshes the model

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage

`aboutToSave, canLeaveThePage, createPartControl, dispose, doSave, doSaveAs, enable, getDatabaseIdentifier, getEditor, getEditorDescriptor, getErrorMsg, getId, getIndex, getManagedForm, getPageDescriptor, getPartControl, getPreferencePageIds, getTitleImage, initialize, isActive, isEditor, isPageOpened, isSaveAsAllowed, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, revert, selectReveal, setActive, setEditor, setEditorDescriptor, setFocus, setFocus, setId, setIndex, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`aboutToSave, getDatabaseIdentifier, getEditorDescriptor, getErrorMsg, getPageDescriptor, getPreferencePageIds, isPageOpened, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, revert, setEditor, setEditorDescriptor, setFocus, setId, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from interface org.eclipse.ui.forms.editor.IFormPage
`canLeaveThePage, getEditor, getId, getIndex, getManagedForm, getPartControl, initialize, isActive, isEditor, selectReveal, setActive, setIndex`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, createPartControl, dispose, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`doSave, doSaveAs, isSaveAsAllowed, isSaveOnCloseNeeded`

Methods inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.IDisablementPart
`enable`

Constructor Detail

### ProceduralObjectPrivilegePage

    public ProceduralObjectPrivilegePage()

### ProceduralObjectPrivilegePage

    public ProceduralObjectPrivilegePage(org.eclipse.ui.forms.editor.FormEditor editor,
                                         java.lang.String id,
                                         java.lang.String title)

### ProceduralObjectPrivilegePage

    public ProceduralObjectPrivilegePage(java.lang.String id,
                                         java.lang.String title)

Method Detail

### init

    public void init(org.eclipse.ui.IEditorSite site,
                     org.eclipse.ui.IEditorInput input)
              throws org.eclipse.ui.PartInitException

  Description copied from class: `SchemaObjectEditorPage`
  Initializes the form page.

  Specified by:
    `init` in interface `org.eclipse.ui.IEditorPart`
  Overrides:
    `init` in class `SchemaObjectEditorPage`
  Throws:
    `org.eclipse.ui.PartInitException`
  See Also:
    `IEditorPart.init(org.eclipse.ui.IEditorSite, org.eclipse.ui.IEditorInput)`

### refresh

    public void refresh()

  Refreshes the model

  Specified by:
    `refresh` in interface `ISchemaObjectEditorPage`
  Overrides:
    `refresh` in class `SchemaObjectEditorPage`

### isDirty

    public boolean isDirty()

  Description copied from class: `SchemaObjectEditorPage`
  Implemented by testing if the managed form is dirty.

  Specified by:
    `isDirty` in interface `org.eclipse.ui.ISaveablePart`
  Overrides:
    `isDirty` in class `SchemaObjectEditorPage`
  Returns:
    `true` if the managed form is dirty, `false` otherwise.
  See Also:
    `ISaveablePart.isDirty()`